Get organization summary
curl --request GET \
--url https://api.sandbox.tesouro.com/embedded-banking/v1/organization/summary \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.sandbox.tesouro.com/embedded-banking/v1/organization/summary"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.sandbox.tesouro.com/embedded-banking/v1/organization/summary', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"applications": {
"complete": 123,
"draft": 123,
"submitted": 123,
"total": 123
},
"bankAccounts": {
"total": 123
},
"externalBankAccounts": {
"failed": 123,
"total": 123,
"unverified": 123,
"verified": 123
},
"organizations": [
{
"accountCount": 123,
"name": "<string>",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"userCount": 123,
"uniqueReference": "<string>"
}
]
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}{
"detail": "<string>",
"errorCode": "<string>",
"instance": "<string>",
"status": 123,
"title": "<string>",
"type": "<string>"
}Organization Summary
Get organization summary
Returns aggregated counts for applications, bank accounts, and external bank accounts within the caller’s visible organization hierarchy.
GET
/
embedded-banking
/
v1
/
organization
/
summary
Get organization summary
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Returns organization summary.
Summary response for the Admin Portal endpoint. Contains aggregated counts for applications, bank accounts, and external bank accounts.
Summary of bank account applications by status.
Show child attributes
Show child attributes
Summary of bank accounts by status.
Show child attributes
Show child attributes
Summary of external bank accounts by verification status.
Show child attributes
Show child attributes
Per-organization details including name, account count, and user count.
Show child attributes
Show child attributes
Was this page helpful?